### Function

# GObject type_parent

since: 2.0

#### Declaration

    GType
    g_type_parent (
      GType type
    )

#### Description

Return the direct parent type of the passed in type. If the passed in type has no parent, i.e. is a fundamental type, 0 is returned.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  The derived type.

#### Return value

Type: `GType`

The parent type.